<?php

// Disallow direct access to this file for security reasons
if(!defined("IN_MYBB"))
{
	die("Direct initialization of this file is not allowed.<br /><br />Please make sure IN_MYBB is defined.");
}

$page->add_breadcrumb_item("Mini SQL", "index.php?module=tools/mini_sql");
$page->output_header('Mini SQL Setting Page');

if(!$mybb->input['action']) {

   $curpost = '';
   
   if ($mybb->request_method == "post") {
      if (!empty($_POST['fclause'])) {
         mini_sql_update_data($_POST['fclause']);
         flash_message('The forbidden clause has been updated.', 'success');
         admin_redirect("index.php?module=config/mini_sql"); 
         die();
      }
   }
   
  $form = new Form("index.php?module=config/mini_sql", "post", "mini_sql", 0, "mini_sql");
      
      $table = new Table;
      $table->construct_header('Enter the Forbidden Clause');
      $table->construct_cell('<input class="text_input" type="text" name="fclause" id="fclause" value="' . mini_sql_get_data(). '" />');
      $table->construct_row();
      $table->construct_cell('<label>Separate using space i.e: DROP GRANT DELETE REVOKE</label>');
      $table->construct_row();      
      $table->output('Setting - <a title="Go to Mini SQL Page" href="index.php?module=tools/mini_sql">Mini SQL &raquo;</a>');
      
      $buttons[] = $form->generate_submit_button('Save Config');
      $form->output_submit_wrapper($buttons);

   $form->end();
	
   $page->output_footer();
}

function mini_sql_update_data($theclause) {
   global $db;
   
   // clean up the whitespace
   $theclause = trim(preg_replace('/\s\s+/', ' ', $theclause));
   $query = $db->query("UPDATE " . TABLE_PREFIX . "settings SET value='$theclause' WHERE name='mini_sql_config' LIMIT 1");
}

?>
